org.apache.pdfbox.pdmodel.graphics.blend

## Class SeparableBlendMode

- java.lang.Object
- - org.apache.pdfbox.pdmodel.graphics.blend.BlendMode
  - - org.apache.pdfbox.pdmodel.graphics.blend.SeparableBlendMode

    public abstract class SeparableBlendMode
    extends BlendMode

Separable blend mode (support blendChannel)

Author:
  Kühn & Weyh Software GmbH

### Field Summary

### Fields inherited from class org.apache.pdfbox.pdmodel.graphics.blend.BlendMode

`COLOR, COLOR_BURN, COLOR_DODGE, COMPATIBLE, DARKEN, DIFFERENCE, EXCLUSION, HARD_LIGHT, HUE, LIGHTEN, LUMINOSITY, MULTIPLY, NORMAL, OVERLAY, SATURATION, SCREEN, SOFT_LIGHT`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract float` `blendChannel(float srcValue, float dstValue)`

### Methods inherited from class org.apache.pdfbox.pdmodel.graphics.blend.BlendMode

`getCOSName, getInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### blendChannel

    public abstract float blendChannel(float srcValue,
                                       float dstValue)